Skip to main content
PATCH
/
agents
/
{id}
Update agent
curl --request PATCH \
  --url https://api.getovra.com/agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "externalId": "<string>",
  "scope": "<string>",
  "status": "active"
}
'
{
  "id": "<string>",
  "ownerId": "<string>",
  "name": "<string>",
  "scope": "<string>",
  "externalId": "<string>",
  "status": "active",
  "cardBalanceEuros": 123,
  "walletBalanceEuros": 123,
  "cardPanMasked": "<string>",
  "policyId": "<string>",
  "cardId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Path Parameters

id
string
required

Body

application/json
name
string
Minimum string length: 1
externalId
string | null
scope
string | null
status
enum<string>
Available options:
active,
frozen,
closed

Response

Updated agent

id
string
ownerId
string
name
string
scope
string | null
externalId
string | null
status
enum<string>
Available options:
active,
frozen,
closed
cardBalanceEuros
number
walletBalanceEuros
number
cardPanMasked
string
policyId
string
cardId
string
createdAt
string<date-time>